//
//  ContentDetailMosaicView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/13.
//

import SwiftUI

struct ContentDetailMosaicView: View {
    var body: some View {
        ZStack {
            Color.black.opacity(0.8)
            
            VStack(spacing: 0) {
                VStack(spacing: 0) {
                    Image("ic_notice_exclamation_mark")
                    
                    Text("본 콘텐츠는 만 19세 미만의 청소년이\n이용할 수 없습니다.\n본인인증 후 콘텐츠를 이용해 주세요.")
                        .font(.custom(Font.medium.rawValue, size: 18.7))
                        .foregroundColor(Color(hex: "bbbbbb"))
                        .padding(.top, 21.7)
                    
                    Text("본인인증")
                        .font(.custom(Font.medium.rawValue, size: 18.7))
                        .foregroundColor(Color.white)
                        .padding(.horizontal, 13.3)
                        .padding(.vertical, 8)
                        .overlay(
                            RoundedRectangle(cornerRadius: 26.7)
                                .stroke(lineWidth: 1)
                                .foregroundColor(Color.white.opacity(0.15))
                        )
                        .padding(.top, 26.7)
                }
                .frame(width: screenSize().width - 26.7, height: screenSize().width - 26.7)
                .background(Color(hex: "222222"))
                .cornerRadius(10)
                .padding(.top, 13.3)
                
                Spacer()
            }
        }
    }
}
